docs
UAEN
API Reference

Create Document

Create a DOCX document from markdown with track changes support. Supports <ins>, <del>, and <comment> tags.

POST/api/v1/create-document

Authorizations

X-API-Keystringheaderrequired
Your API key for authentication

Body Parameters

markdownstringbodyrequired
The markdown content to convert to a document. Supports track changes markup (<ins>, <del>, <comment> tags).
output_formatstringbody
The output format for the document. Currently only 'docx' is supported.
webhook_urlstringbody
Optional webhook URL to call when the request is complete.

Cookies

wos-sessionstringcookie
Session cookie
access_tokenstringcookie
Access token cookie
datalab_active_teamstringcookie
Active team cookie

Response

Successful Response
Create Document
import requests

url = "https://www.datalab.to/api/v1/create-document"
headers = {"X-API-Key": "<api-key>"}
payload = {"markdown": "<string>", "output_format": "docx", "webhook_url": "<string>"}

response = requests.post(url, json=payload, headers=headers)
print(response.text)
200Success
{
  "request_id": "<string>",
  "request_check_url": "<string>",
  "success": true,
  "error": "<string>",
  "versions": {}
}